Index: serefpolicy-contrib-20140730/rhsmcertd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/rhsmcertd.if
+++ serefpolicy-contrib-20140730/rhsmcertd.if
@@ -1,8 +1,8 @@
-## <summary>Subscription Management Certificate Daemon.</summary>
+## <summary>Subscription Management Certificate Daemon policy</summary>
 
 ########################################
 ## <summary>
-##	Execute rhsmcertd in the rhsmcertd domain.
+##	Transition to rhsmcertd.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -21,12 +21,11 @@ interface(`rhsmcertd_domtrans',`
 
 ########################################
 ## <summary>
-##	Execute rhsmcertd init scripts
-##	in the initrc domain.
+##	Execute rhsmcertd server in the rhsmcertd domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed to transition.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
 #
@@ -40,7 +39,7 @@ interface(`rhsmcertd_initrc_domtrans',`
 
 ########################################
 ## <summary>
-##	Read rhsmcertd log files.
+##	Read rhsmcertd's log files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -60,7 +59,7 @@ interface(`rhsmcertd_read_log',`
 
 ########################################
 ## <summary>
-##	Append rhsmcertd log files.
+##	Append to rhsmcertd log files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -79,8 +78,7 @@ interface(`rhsmcertd_append_log',`
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	rhsmcertd log files.
+##	Manage rhsmcertd log files
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -114,8 +112,8 @@ interface(`rhsmcertd_search_lib',`
 		type rhsmcertd_var_lib_t;
 	')
 
-	files_search_var_lib($1)
 	allow $1 rhsmcertd_var_lib_t:dir search_dir_perms;
+	files_search_var_lib($1)
 ')
 
 ########################################
@@ -139,8 +137,7 @@ interface(`rhsmcertd_read_lib_files',`
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	rhsmcertd lib files.
+##	Manage rhsmcertd lib files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -159,8 +156,7 @@ interface(`rhsmcertd_manage_lib_files',`
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	rhsmcertd lib directories.
+##	Manage rhsmcertd lib directories.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -179,7 +175,7 @@ interface(`rhsmcertd_manage_lib_dirs',`
 
 ########################################
 ## <summary>
-##	Read rhsmcertd pid files.
+##	Read rhsmcertd PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -196,10 +192,9 @@ interface(`rhsmcertd_read_pid_files',`
 	allow $1 rhsmcertd_var_run_t:file read_file_perms;
 ')
 
-####################################
+########################################
 ## <summary>
-##	Connect to rhsmcertd with a
-##	unix domain stream socket.
+##	Read rhsmcertd PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -207,6 +202,45 @@ interface(`rhsmcertd_read_pid_files',`
 ##	</summary>
 ## </param>
 #
+interface(`rhsmcertd_manage_pid_files',`
+	gen_require(`
+		type rhsmcertd_var_run_t;
+	')
+
+	files_search_pids($1)
+    manage_files_pattern($1, rhsmcertd_var_run_t, rhsmcertd_var_run_t)
+')
+
+########################################
+## <summary>
+##	Read/wirte inherited lock files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rhsmcertd_rw_inherited_lock_files',`
+	gen_require(`
+		type rhsmcertd_lock_t;
+	')
+
+	files_search_locks($1)
+	allow $1 rhsmcertd_lock_t:file rw_inherited_file_perms;
+')
+
+####################################
+## <summary>
+##  Connect to rhsmcertd over a unix domain
+##  stream socket.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
 interface(`rhsmcertd_stream_connect',`
 	gen_require(`
 		type rhsmcertd_t, rhsmcertd_var_run_t;
@@ -239,30 +273,29 @@ interface(`rhsmcertd_dbus_chat',`
 
 ######################################
 ## <summary>
-##	Do not audit attempts to send
-##	and receive messages from
-##	rhsmcertd over dbus.
+##  Dontaudit Send and receive messages from
+##  rhsmcertd over dbus.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain to not audit.
-##	</summary>
+##  <summary>
+##  Domain allowed access.
+##  </summary>
 ## </param>
 #
 interface(`rhsmcertd_dontaudit_dbus_chat',`
-	gen_require(`
-	type rhsmcertd_t;
-	class dbus send_msg;
-	')
+    gen_require(`
+        type rhsmcertd_t;
+        class dbus send_msg;
+    ')
 
-	dontaudit $1 rhsmcertd_t:dbus send_msg;
-	dontaudit rhsmcertd_t $1:dbus send_msg;
+    dontaudit $1 rhsmcertd_t:dbus send_msg;
+    dontaudit rhsmcertd_t $1:dbus send_msg;
 ')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an rhsmcertd environment.
+##	All of the rules required to administrate
+##	an rhsmcertd environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -270,35 +303,41 @@ interface(`rhsmcertd_dontaudit_dbus_chat
 ##	</summary>
 ## </param>
 ## <param name="role">
-##	<summary>
-##	Role allowed access.
-##	</summary>
+##  <summary>
+##  Role allowed access.
+##  </summary>
 ## </param>
 ## <rolecap/>
 #
+
 interface(`rhsmcertd_admin',`
 	gen_require(`
 		type rhsmcertd_t, rhsmcertd_initrc_exec_t, rhsmcertd_log_t;
-		type rhsmcertd_var_lib_t, rhsmcertd_var_run_t, rhsmcertd_lock_t;
+		type rhsmcertd_var_lib_t, rhsmcertd_lock_t,  rhsmcertd_var_run_t;
 	')
 
-	allow $1 rhsmcertd_t:process { ptrace signal_perms };
+	allow $1 rhsmcertd_t:process signal_perms;
 	ps_process_pattern($1, rhsmcertd_t)
 
-	rhsmcertd_initrc_domtrans($1)
-	domain_system_change_exemption($1)
-	role_transition $2 rhsmcertd_initrc_exec_t system_r;
-	allow $2 system_r;
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 rhsmcertd_t:process ptrace;
+	')
+
+    rhsmcertd_initrc_domtrans($1)
+    domain_system_change_exemption($1)
+    role_transition $2 rhsmcertd_initrc_exec_t system_r;
+    allow $2 system_r;
 
-	logging_search_logs($1)
-	admin_pattern($1, rhsmcertd_log_t)
+    logging_search_logs($1)
+    admin_pattern($1, rhsmcertd_log_t)
 
-	files_search_var_lib($1)
-	admin_pattern($1, rhsmcertd_var_lib_t)
+    files_search_var_lib($1)
+    admin_pattern($1, rhsmcertd_var_lib_t)
 
-	files_search_pids($1)
-	admin_pattern($1, rhsmcertd_var_run_t)
+    files_search_pids($1)
+    admin_pattern($1, rhsmcertd_var_run_t)
+
+    files_search_locks($1)
+    admin_pattern($1, rhsmcertd_lock_t)
 
-	files_search_locks($1)
-	admin_pattern($1, rhsmcertd_lock_t)
 ')
Index: serefpolicy-contrib-20140730/rhsmcertd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/rhsmcertd.te
+++ serefpolicy-contrib-20140730/rhsmcertd.te
@@ -1,4 +1,4 @@
-policy_module(rhsmcertd, 1.2.0)
+policy_module(rhsmcertd, 1.1.1)
 
 ########################################
 #
@@ -18,6 +18,9 @@ logging_log_file(rhsmcertd_log_t)
 type rhsmcertd_lock_t;
 files_lock_file(rhsmcertd_lock_t)
 
+type rhsmcertd_tmp_t;
+files_tmp_file(rhsmcertd_tmp_t)
+
 type rhsmcertd_var_lib_t;
 files_type(rhsmcertd_var_lib_t)
 
@@ -30,18 +33,21 @@ files_pid_file(rhsmcertd_var_run_t)
 #
 
 allow rhsmcertd_t self:capability sys_nice;
-allow rhsmcertd_t self:process { signal setsched };
+allow rhsmcertd_t self:process { signal_perms setsched };
+
 allow rhsmcertd_t self:fifo_file rw_fifo_file_perms;
 allow rhsmcertd_t self:unix_stream_socket create_stream_socket_perms;
 
 manage_dirs_pattern(rhsmcertd_t, rhsmcertd_log_t, rhsmcertd_log_t)
-append_files_pattern(rhsmcertd_t, rhsmcertd_log_t, rhsmcertd_log_t)
-create_files_pattern(rhsmcertd_t, rhsmcertd_log_t, rhsmcertd_log_t)
-setattr_files_pattern(rhsmcertd_t, rhsmcertd_log_t, rhsmcertd_log_t)
+manage_files_pattern(rhsmcertd_t, rhsmcertd_log_t, rhsmcertd_log_t)
 
 manage_files_pattern(rhsmcertd_t, rhsmcertd_lock_t, rhsmcertd_lock_t)
 files_lock_filetrans(rhsmcertd_t, rhsmcertd_lock_t, file)
 
+manage_dirs_pattern(rhsmcertd_t, rhsmcertd_tmp_t, rhsmcertd_tmp_t)
+manage_files_pattern(rhsmcertd_t, rhsmcertd_tmp_t, rhsmcertd_tmp_t)
+files_tmp_filetrans(rhsmcertd_t, rhsmcertd_tmp_t, { dir file })
+
 manage_dirs_pattern(rhsmcertd_t, rhsmcertd_var_lib_t, rhsmcertd_var_lib_t)
 manage_files_pattern(rhsmcertd_t, rhsmcertd_var_lib_t, rhsmcertd_var_lib_t)
 
@@ -50,25 +56,53 @@ manage_files_pattern(rhsmcertd_t, rhsmce
 files_pid_filetrans(rhsmcertd_t, rhsmcertd_var_run_t, { file dir })
 
 kernel_read_network_state(rhsmcertd_t)
+kernel_read_sysctl(rhsmcertd_t)
 kernel_read_system_state(rhsmcertd_t)
+kernel_read_sysctl(rhsmcertd_t)
+
+corenet_tcp_connect_http_port(rhsmcertd_t)
+corenet_tcp_connect_http_cache_port(rhsmcertd_t)
+corenet_tcp_connect_squid_port(rhsmcertd_t)
 
 corecmd_exec_bin(rhsmcertd_t)
+corecmd_exec_shell(rhsmcertd_t)
 
 dev_read_sysfs(rhsmcertd_t)
 dev_read_rand(rhsmcertd_t)
 dev_read_urand(rhsmcertd_t)
+dev_read_raw_memory(rhsmcertd_t)
 
 files_list_tmp(rhsmcertd_t)
-files_read_etc_files(rhsmcertd_t)
-files_read_usr_files(rhsmcertd_t)
+files_manage_generic_locks(rhsmcertd_t)
+files_manage_system_conf_files(rhsmcertd_t)
+files_create_boot_flag(rhsmcertd_t)
+
+auth_read_passwd(rhsmcertd_t)
+
+libs_exec_ldconfig(rhsmcertd_t)
 
 init_read_state(rhsmcertd_t)
 
-miscfiles_read_localization(rhsmcertd_t)
-miscfiles_read_generic_certs(rhsmcertd_t)
+logging_send_syslog_msg(rhsmcertd_t)
+
+miscfiles_manage_generic_cert_files(rhsmcertd_t)
+miscfiles_manage_generic_cert_dirs(rhsmcertd_t)
 
 sysnet_dns_name_resolve(rhsmcertd_t)
 
 optional_policy(`
+	dmidecode_domtrans(rhsmcertd_t)
+')
+
+optional_policy(`
+	gnome_dontaudit_search_config(rhsmcertd_t)
+')
+
+optional_policy(`
+    rhnsd_manage_config(rhsmcertd_t)
+')
+
+optional_policy(`
 	rpm_read_db(rhsmcertd_t)
+    rpm_signull(rhsmcertd_t)
 ')
Index: serefpolicy-contrib-20140730/ricci.if
===================================================================
--- serefpolicy-contrib-20140730.orig/ricci.if
+++ serefpolicy-contrib-20140730/ricci.if
@@ -1,13 +1,13 @@
-## <summary>Ricci cluster management agent.</summary>
+## <summary>Ricci cluster management agent</summary>
 
 ########################################
 ## <summary>
 ##	Execute a domain transition to run ricci.
 ## </summary>
 ## <param name="domain">
-## <summary>
+##	<summary>
 ##	Domain allowed to transition.
-## </summary>
+##	</summary>
 ## </param>
 #
 interface(`ricci_domtrans',`
@@ -15,19 +15,35 @@ interface(`ricci_domtrans',`
 		type ricci_t, ricci_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, ricci_exec_t, ricci_t)
 ')
 
-########################################
+#######################################
 ## <summary>
-##	Execute a domain transition to
-##	run ricci modcluster.
+##	Execute ricci server in the ricci domain.
 ## </summary>
 ## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`ricci_initrc_domtrans',`
+	gen_require(`
+		type ricci_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, ricci_initrc_exec_t)
+')
+
+########################################
 ## <summary>
-##	Domain allowed to transition.
+##	Execute a domain transition to run ricci_modcluster.
 ## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
 ## </param>
 #
 interface(`ricci_domtrans_modcluster',`
@@ -35,14 +51,13 @@ interface(`ricci_domtrans_modcluster',`
 		type ricci_modcluster_t, ricci_modcluster_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, ricci_modcluster_exec_t, ricci_modcluster_t)
 ')
 
 ########################################
 ## <summary>
 ##	Do not audit attempts to use
-##	ricci modcluster file descriptors.
+##	ricci_modcluster file descriptors.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -61,7 +76,7 @@ interface(`ricci_dontaudit_use_modcluste
 ########################################
 ## <summary>
 ##	Do not audit attempts to read write
-##	ricci modcluster unamed pipes.
+##	ricci_modcluster unamed pipes.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -74,13 +89,12 @@ interface(`ricci_dontaudit_rw_modcluster
 		type ricci_modcluster_t;
 	')
 
-	dontaudit $1 ricci_modcluster_t:fifo_file { read write };
+	dontaudit $1 ricci_modcluster_t:fifo_file rw_inherited_fifo_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Connect to ricci_modclusterd with
-##	a unix domain stream socket.
+##	Connect to ricci_modclusterd over a unix stream socket.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -99,8 +113,26 @@ interface(`ricci_stream_connect_modclust
 
 ########################################
 ## <summary>
-##	Execute a domain transition to
-##	run ricci modlog.
+##	Read and write to ricci_modcluserd temporary file system.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`ricci_rw_modclusterd_tmpfs_files',`
+	gen_require(`
+		type ricci_modclusterd_tmpfs_t;
+	')
+
+	fs_search_tmpfs($1)
+	allow $1 ricci_modclusterd_tmpfs_t:file rw_file_perms;
+')
+
+########################################
+## <summary>
+##	Execute a domain transition to run ricci_modlog.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -113,14 +145,12 @@ interface(`ricci_domtrans_modlog',`
 		type ricci_modlog_t, ricci_modlog_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, ricci_modlog_exec_t, ricci_modlog_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute a domain transition to
-##	run ricci modrpm.
+##	Execute a domain transition to run ricci_modrpm.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -133,14 +163,12 @@ interface(`ricci_domtrans_modrpm',`
 		type ricci_modrpm_t, ricci_modrpm_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, ricci_modrpm_exec_t, ricci_modrpm_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute a domain transition to
-##	run ricci modservice.
+##	Execute a domain transition to run ricci_modservice.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -153,14 +181,12 @@ interface(`ricci_domtrans_modservice',`
 		type ricci_modservice_t, ricci_modservice_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, ricci_modservice_exec_t, ricci_modservice_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute a domain transition to
-##	run ricci modstorage.
+##	Execute a domain transition to run ricci_modstorage.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -173,14 +199,33 @@ interface(`ricci_domtrans_modstorage',`
 		type ricci_modstorage_t, ricci_modstorage_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, ricci_modstorage_exec_t, ricci_modstorage_t)
 ')
 
+####################################
+## <summary>
+##	Allow the specified domain to manage ricci's lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`ricci_manage_lib_files',`
+	gen_require(`
+		type ricci_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_dirs_pattern($1, ricci_var_lib_t, ricci_var_lib_t)
+	manage_files_pattern($1, ricci_var_lib_t, ricci_var_lib_t)
+')
+
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an ricci environment.
+##	All of the rules required to administrate
+##	an ricci environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -200,10 +245,13 @@ interface(`ricci_admin',`
 		type ricci_var_lib_t, ricci_var_log_t, ricci_var_run_t;
 	')
 
-	allow $1 ricci_t:process { ptrace signal_perms };
+	allow $1 ricci_t:process signal_perms;
 	ps_process_pattern($1, ricci_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 ricci_t:process ptrace;
+	')
 
-	init_labeled_script_domtrans($1, ricci_initrc_exec_t)
+	ricci_initrc_domtrans($1)
 	domain_system_change_exemption($1)
 	role_transition $2 ricci_initrc_exec_t system_r;
 	allow $2 system_r;
Index: serefpolicy-contrib-20140730/ricci.te
===================================================================
--- serefpolicy-contrib-20140730.orig/ricci.te
+++ serefpolicy-contrib-20140730/ricci.te
@@ -115,7 +115,6 @@ kernel_read_system_state(ricci_t)
 
 corecmd_exec_bin(ricci_t)
 
-corenet_all_recvfrom_unlabeled(ricci_t)
 corenet_all_recvfrom_netlabel(ricci_t)
 corenet_tcp_sendrecv_generic_if(ricci_t)
 corenet_tcp_sendrecv_generic_node(ricci_t)
@@ -136,7 +135,6 @@ dev_read_urand(ricci_t)
 
 domain_read_all_domains_state(ricci_t)
 
-files_read_etc_files(ricci_t)
 files_read_etc_runtime_files(ricci_t)
 files_create_boot_flag(ricci_t)
 
@@ -149,7 +147,7 @@ locallogin_dontaudit_use_fds(ricci_t)
 
 logging_send_syslog_msg(ricci_t)
 
-miscfiles_read_localization(ricci_t)
+systemd_start_power_services(ricci_t)
 
 sysnet_dns_name_resolve(ricci_t)
 
@@ -235,13 +233,8 @@ init_domtrans_script(ricci_modcluster_t)
 
 logging_send_syslog_msg(ricci_modcluster_t)
 
-miscfiles_read_localization(ricci_modcluster_t)
-
-ricci_stream_connect_modclusterd(ricci_modcluster_t)
-
 optional_policy(`
-	aisexec_stream_connect(ricci_modcluster_t)
-	corosync_stream_connect(ricci_modcluster_t)
+	ricci_stream_connect_modclusterd(ricci_modcluster_t)
 ')
 
 optional_policy(`
@@ -271,7 +264,7 @@ optional_policy(`
 ')
 
 optional_policy(`
-	rgmanager_stream_connect(ricci_modcluster_t)
+	rhcs_stream_connect_cluster(ricci_modcluster_t)
 ')
 
 ########################################
@@ -336,23 +329,16 @@ locallogin_dontaudit_use_fds(ricci_modcl
 
 logging_send_syslog_msg(ricci_modclusterd_t)
 
-miscfiles_read_localization(ricci_modclusterd_t)
-
 sysnet_domtrans_ifconfig(ricci_modclusterd_t)
 
 optional_policy(`
-	aisexec_stream_connect(ricci_modclusterd_t)
-	corosync_stream_connect(ricci_modclusterd_t)
-')
-
-optional_policy(`
 	ccs_domtrans(ricci_modclusterd_t)
 	ccs_stream_connect(ricci_modclusterd_t)
 	ccs_read_config(ricci_modclusterd_t)
 ')
 
 optional_policy(`
-	rgmanager_stream_connect(ricci_modclusterd_t)
+	rhcs_stream_connect_cluster(ricci_modclusterd_t)
 ')
 
 optional_policy(`
@@ -374,12 +360,10 @@ corecmd_exec_bin(ricci_modlog_t)
 
 domain_read_all_domains_state(ricci_modlog_t)
 
-files_read_etc_files(ricci_modlog_t)
 files_search_usr(ricci_modlog_t)
 
 logging_read_generic_logs(ricci_modlog_t)
 
-miscfiles_read_localization(ricci_modlog_t)
 
 optional_policy(`
 	nscd_dontaudit_search_pid(ricci_modlog_t)
@@ -401,9 +385,8 @@ kernel_read_kernel_sysctls(ricci_modrpm_
 corecmd_exec_bin(ricci_modrpm_t)
 
 files_search_usr(ricci_modrpm_t)
-files_read_etc_files(ricci_modrpm_t)
 
-miscfiles_read_localization(ricci_modrpm_t)
+logging_send_syslog_msg(ricci_modrpm_t)
 
 optional_policy(`
 	oddjob_system_entry(ricci_modrpm_t, ricci_modrpm_exec_t)
@@ -428,14 +411,13 @@ kernel_read_system_state(ricci_modservic
 corecmd_exec_bin(ricci_modservice_t)
 corecmd_exec_shell(ricci_modservice_t)
 
-files_read_etc_files(ricci_modservice_t)
 files_read_etc_runtime_files(ricci_modservice_t)
 files_search_usr(ricci_modservice_t)
 files_manage_etc_symlinks(ricci_modservice_t)
 
 init_domtrans_script(ricci_modservice_t)
 
-miscfiles_read_localization(ricci_modservice_t)
+logging_send_syslog_msg(ricci_modservice_t)
 
 optional_policy(`
 	ccs_read_config(ricci_modservice_t)
@@ -460,7 +442,6 @@ optional_policy(`
 
 allow ricci_modstorage_t self:capability { mknod sys_nice };
 allow ricci_modstorage_t self:process { setsched signal };
-dontaudit ricci_modstorage_t self:process ptrace;
 allow ricci_modstorage_t self:fifo_file rw_fifo_file_perms;
 
 kernel_read_kernel_sysctls(ricci_modstorage_t)
@@ -480,21 +461,21 @@ domain_read_all_domains_state(ricci_mods
 
 files_manage_etc_files(ricci_modstorage_t)
 files_read_etc_runtime_files(ricci_modstorage_t)
-files_read_usr_files(ricci_modstorage_t)
 files_read_kernel_modules(ricci_modstorage_t)
 
+files_create_default_dir(ricci_modstorage_t)
+files_root_filetrans_default(ricci_modstorage_t, dir)
+files_mounton_default(ricci_modstorage_t)
+files_manage_default_dirs(ricci_modstorage_t)
+files_manage_default_files(ricci_modstorage_t)
+
 storage_raw_read_fixed_disk(ricci_modstorage_t)
 
 term_dontaudit_use_console(ricci_modstorage_t)
 
-logging_send_syslog_msg(ricci_modstorage_t)
-
-miscfiles_read_localization(ricci_modstorage_t)
+auth_use_nsswitch(ricci_modstorage_t)
 
-optional_policy(`
-	aisexec_stream_connect(ricci_modstorage_t)
-	corosync_stream_connect(ricci_modstorage_t)
-')
+logging_send_syslog_msg(ricci_modstorage_t)
 
 optional_policy(`
 	ccs_stream_connect(ricci_modstorage_t)
Index: serefpolicy-contrib-20140730/rkhunter.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/rkhunter.fc
@@ -0,0 +1 @@
+/var/lib/rkhunter(/.*)?         gen_context(system_u:object_r:rkhunter_var_lib_t,s0)
Index: serefpolicy-contrib-20140730/rkhunter.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/rkhunter.if
@@ -0,0 +1,39 @@
+## <summary> policy for rkhunter </summary>
+
+########################################
+## <summary>
+##	Append rkhunter lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rkhunter_append_lib_files',`
+	gen_require(`
+		type rkhunter_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	append_files_pattern($1, rkhunter_var_lib_t, rkhunter_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage rkhunter lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rkhunter_manage_lib_files',`
+	gen_require(`
+		type rkhunter_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_files_pattern($1, rkhunter_var_lib_t, rkhunter_var_lib_t)
+')
Index: serefpolicy-contrib-20140730/rkhunter.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/rkhunter.te
@@ -0,0 +1,4 @@
+policy_module(rhhunter, 1.0)
+
+type rkhunter_var_lib_t;
+files_type(rkhunter_var_lib_t)
Index: serefpolicy-contrib-20140730/rlogin.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/rlogin.fc
+++ serefpolicy-contrib-20140730/rlogin.fc
@@ -1,5 +1,7 @@
-HOME_DIR/\.rhosts	--	gen_context(system_u:object_r:rlogind_home_t,s0)
-HOME_DIR/\.rlogin	--	gen_context(system_u:object_r:rlogind_home_t,s0)
+HOME_DIR/\.rlogin		--	gen_context(system_u:object_r:rlogind_home_t,s0)
+HOME_DIR/\.rhosts		--	gen_context(system_u:object_r:rlogind_home_t,s0)
+/root/\.rlogin			--	gen_context(system_u:object_r:rlogind_home_t,s0)
+/root/\.rhosts		--	gen_context(system_u:object_r:rlogind_home_t,s0)
 
 /usr/kerberos/sbin/klogind	--	gen_context(system_u:object_r:rlogind_exec_t,s0)
 
Index: serefpolicy-contrib-20140730/rlogin.if
===================================================================
--- serefpolicy-contrib-20140730.orig/rlogin.if
+++ serefpolicy-contrib-20140730/rlogin.if
@@ -29,7 +29,7 @@ interface(`rlogin_domtrans',`
 ##	</summary>
 ## </param>
 #
-template(`rlogin_read_home_content',`
+interface(`rlogin_read_home_content',`
 	gen_require(`
 		type rlogind_home_t;
 	')
Index: serefpolicy-contrib-20140730/rlogin.te
===================================================================
--- serefpolicy-contrib-20140730.orig/rlogin.te
+++ serefpolicy-contrib-20140730/rlogin.te
@@ -1,4 +1,4 @@
-policy_module(rlogin, 1.12.0)
+policy_module(rlogin, 1.11.3)
 
 ########################################
 #
@@ -34,7 +34,9 @@ files_pid_file(rlogind_var_run_t)
 allow rlogind_t self:capability { fsetid chown fowner setuid setgid sys_tty_config dac_override };
 allow rlogind_t self:process signal_perms;
 allow rlogind_t self:fifo_file rw_fifo_file_perms;
-allow rlogind_t self:tcp_socket { accept listen };
+allow rlogind_t self:tcp_socket connected_stream_socket_perms;
+# for identd; cjp: this should probably only be inetd_child rules?
+allow rlogind_t self:netlink_tcpdiag_socket r_netlink_socket_perms;
 
 allow rlogind_t rlogind_devpts_t:chr_file { rw_chr_file_perms setattr_chr_file_perms };
 term_create_pty(rlogind_t, rlogind_devpts_t)
@@ -45,7 +47,6 @@ allow rlogind_t rlogind_keytab_t:file re
 
 manage_dirs_pattern(rlogind_t, rlogind_tmp_t, rlogind_tmp_t)
 manage_files_pattern(rlogind_t, rlogind_tmp_t, rlogind_tmp_t)
-files_tmp_filetrans(rlogind_t, rlogind_tmp_t, { dir file })
 
 manage_files_pattern(rlogind_t, rlogind_var_run_t, rlogind_var_run_t)
 files_pid_filetrans(rlogind_t, rlogind_var_run_t, file)
@@ -56,7 +57,6 @@ kernel_read_kernel_sysctls(rlogind_t)
 kernel_read_system_state(rlogind_t)
 kernel_read_network_state(rlogind_t)
 
-corenet_all_recvfrom_unlabeled(rlogind_t)
 corenet_all_recvfrom_netlabel(rlogind_t)
 corenet_tcp_sendrecv_generic_if(rlogind_t)
 corenet_tcp_sendrecv_generic_node(rlogind_t)
@@ -73,6 +73,7 @@ fs_getattr_all_fs(rlogind_t)
 fs_search_auto_mountpoints(rlogind_t)
 
 auth_domtrans_chk_passwd(rlogind_t)
+auth_signal_chk_passwd(rlogind_t)
 auth_rw_login_records(rlogind_t)
 auth_use_nsswitch(rlogind_t)
 
@@ -83,29 +84,23 @@ init_rw_utmp(rlogind_t)
 
 logging_send_syslog_msg(rlogind_t)
 
-miscfiles_read_localization(rlogind_t)
-
 seutil_read_config(rlogind_t)
 
 userdom_search_user_home_dirs(rlogind_t)
 userdom_setattr_user_ptys(rlogind_t)
+# cjp: this is egregious
+userdom_read_user_home_content_files(rlogind_t)
+userdom_search_admin_dir(rlogind_t)
+userdom_manage_user_tmp_files(rlogind_t)
+userdom_tmp_filetrans_user_tmp(rlogind_t, file)
 userdom_use_user_terminals(rlogind_t)
+userdom_home_reader(rlogind_t)
 
-tunable_policy(`use_nfs_home_dirs',`
-	fs_list_nfs(rlogind_t)
-	fs_read_nfs_files(rlogind_t)
-	fs_read_nfs_symlinks(rlogind_t)
-')
-
-tunable_policy(`use_samba_home_dirs',`
-	fs_list_cifs(rlogind_t)
-	fs_read_cifs_files(rlogind_t)
-	fs_read_cifs_symlinks(rlogind_t)
-')
+rlogin_read_home_content(rlogind_t)
 
 optional_policy(`
 	kerberos_read_keytab(rlogind_t)
-	kerberos_tmp_filetrans_host_rcache(rlogind_t, file, "host_0")
+	kerberos_tmp_filetrans_host_rcache(rlogind_t, "host_0")
 	kerberos_manage_host_rcache(rlogind_t)
 	kerberos_use(rlogind_t)
 ')
Index: serefpolicy-contrib-20140730/rngd.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/rngd.fc
+++ serefpolicy-contrib-20140730/rngd.fc
@@ -1,5 +1,7 @@
 /etc/rc\.d/init\.d/rngd	--	gen_context(system_u:object_r:rngd_initrc_exec_t,s0)
 
+/usr/lib/systemd/system/rngd.*    --  gen_context(system_u:object_r:rngd_unit_file_t,s0)
+
 /usr/sbin/rngd	--	gen_context(system_u:object_r:rngd_exec_t,s0)
 
 /var/run/rngd\.pid	--	gen_context(system_u:object_r:rngd_var_run_t,s0)
Index: serefpolicy-contrib-20140730/rngd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/rngd.if
+++ serefpolicy-contrib-20140730/rngd.if
@@ -2,6 +2,28 @@
 
 ########################################
 ## <summary>
+##	Execute rngd in the rngd domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`rng_systemctl_rngd',`
+	gen_require(`
+		type rngd_t, rngd_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+	allow $1 rngd_unit_file_t:file read_file_perms;
+	allow $1 rngd_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, rngd_t)
+')
+
+########################################
+## <summary>
 ##	All of the rules required to
 ##	administrate an rng environment.
 ## </summary>
@@ -17,14 +39,18 @@
 ## </param>
 ## <rolecap/>
 #
-interface(`rngd_admin',`
+interface(`rng_admin',`
 	gen_require(`
-		type rngd_t, rngd_initrc_exec_t, rngd_var_run_t;
+		type rngd_t, rngd_initrc_exec_t, rngd_var_run_t, rngd_unit_file_t;
 	')
 
-	allow $1 rngd_t:process { ptrace signal_perms };
+	allow $1 rngd_t:process signal_perms;
 	ps_process_pattern($1, rngd_t)
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 rngd_t:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, rngd_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 rngd_initrc_exec_t system_r;
@@ -32,4 +58,8 @@ interface(`rngd_admin',`
 
 	files_search_pids($1)
 	admin_pattern($1, rngd_var_run_t)
+
+	rng_systemctl_rngd($1)
+	admin_pattern($1, rngd_unit_file_t)
+	allow $1 rngd_unit_file_t:service all_service_perms;
 ')
Index: serefpolicy-contrib-20140730/rngd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/rngd.te
+++ serefpolicy-contrib-20140730/rngd.te
@@ -1,4 +1,4 @@
-policy_module(rngd, 1.2.0)
+policy_module(rngd, 1.1.0)
 
 ########################################
 #
@@ -12,6 +12,9 @@ init_daemon_domain(rngd_t, rngd_exec_t)
 type rngd_initrc_exec_t;
 init_script_file(rngd_initrc_exec_t)
 
+type rngd_unit_file_t;
+systemd_unit_file(rngd_unit_file_t)
+
 type rngd_var_run_t;
 files_pid_file(rngd_var_run_t)
 
@@ -35,8 +38,5 @@ dev_read_urand(rngd_t)
 dev_rw_tpm(rngd_t)
 dev_write_rand(rngd_t)
 
-files_read_etc_files(rngd_t)
-
 logging_send_syslog_msg(rngd_t)
 
-miscfiles_read_localization(rngd_t)
Index: serefpolicy-contrib-20140730/roundup.if
===================================================================
--- serefpolicy-contrib-20140730.orig/roundup.if
+++ serefpolicy-contrib-20140730/roundup.if
@@ -23,8 +23,11 @@ interface(`roundup_admin',`
 		type roundup_initrc_exec_t;
 	')
 
-	allow $1 roundup_t:process { ptrace signal_perms };
+	allow $1 roundup_t:process signal_perms;
 	ps_process_pattern($1, roundup_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 roundup_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, roundup_initrc_exec_t)
 	domain_system_change_exemption($1)
Index: serefpolicy-contrib-20140730/roundup.te
===================================================================
--- serefpolicy-contrib-20140730.orig/roundup.te
+++ serefpolicy-contrib-20140730/roundup.te
@@ -41,7 +41,6 @@ kernel_read_proc_symlinks(roundup_t)
 
 corecmd_exec_bin(roundup_t)
 
-corenet_all_recvfrom_unlabeled(roundup_t)
 corenet_all_recvfrom_netlabel(roundup_t)
 corenet_tcp_sendrecv_generic_if(roundup_t)
 corenet_tcp_sendrecv_generic_node(roundup_t)
@@ -60,16 +59,11 @@ dev_read_urand(roundup_t)
 
 domain_use_interactive_fds(roundup_t)
 
-files_read_etc_files(roundup_t)
-files_read_usr_files(roundup_t)
-
 fs_getattr_all_fs(roundup_t)
 fs_search_auto_mountpoints(roundup_t)
 
 logging_send_syslog_msg(roundup_t)
 
-miscfiles_read_localization(roundup_t)
-
 sysnet_dns_name_resolve(roundup_t)
 
 userdom_dontaudit_use_unpriv_user_fds(roundup_t)
